<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - lcov.info - widget\icon_label_button.dart</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">widget\icon_label_button.dart</a> - icon_label_button.dart<span style="font-size: 80%;"> (source / <a href="icon_label_button.dart.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">lcov.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">17</td>
            <td class="headerCovTableEntry">17</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">Sat Jan  7 15:41:32 2023</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntryHi">-</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : import 'package:flutter/material.dart';</a>
<a name="2"><span class="lineNum">       2 </span>            : import 'package:google_fonts/google_fonts.dart';</a>
<a name="3"><span class="lineNum">       3 </span>            : </a>
<a name="4"><span class="lineNum">       4 </span>            : class IconLabelButton extends StatelessWidget {</a>
<a name="5"><span class="lineNum">       5 </span>            :   final Function() onTap;</a>
<a name="6"><span class="lineNum">       6 </span>            :   final String label;</a>
<a name="7"><span class="lineNum">       7 </span>            :   final IconData icon;</a>
<a name="8"><span class="lineNum">       8 </span>            :   final Color color;</a>
<a name="9"><span class="lineNum">       9 </span>            :   final bool isAvailable;</a>
<a name="10"><span class="lineNum">      10 </span><span class="lineCov">          1 :   const IconLabelButton({</span></a>
<a name="11"><span class="lineNum">      11 </span>            :     Key? key,</a>
<a name="12"><span class="lineNum">      12 </span>            :     required this.onTap,</a>
<a name="13"><span class="lineNum">      13 </span>            :     required this.label,</a>
<a name="14"><span class="lineNum">      14 </span>            :     required this.icon,</a>
<a name="15"><span class="lineNum">      15 </span>            :     required this.color,</a>
<a name="16"><span class="lineNum">      16 </span>            :     required this.isAvailable,</a>
<a name="17"><span class="lineNum">      17 </span><span class="lineCov">          1 :   }) : super(key: key);</span></a>
<a name="18"><span class="lineNum">      18 </span>            : </a>
<a name="19"><span class="lineNum">      19 </span><span class="lineCov">          1 :   @override</span></a>
<a name="20"><span class="lineNum">      20 </span>            :   Widget build(BuildContext context) {</a>
<a name="21"><span class="lineNum">      21 </span><span class="lineCov">          1 :     return InkWell(</span></a>
<a name="22"><span class="lineNum">      22 </span><span class="lineCov">          2 :       onTap: !isAvailable ? () {} : onTap,</span></a>
<a name="23"><span class="lineNum">      23 </span><span class="lineCov">          1 :       child: Container(</span></a>
<a name="24"><span class="lineNum">      24 </span>            :         height: 50,</a>
<a name="25"><span class="lineNum">      25 </span><span class="lineCov">          4 :         width: MediaQuery.of(context).size.width * 0.193,</span></a>
<a name="26"><span class="lineNum">      26 </span>            :         padding: const EdgeInsets.symmetric(horizontal: 5, vertical: 5),</a>
<a name="27"><span class="lineNum">      27 </span><span class="lineCov">          1 :         decoration: BoxDecoration(</span></a>
<a name="28"><span class="lineNum">      28 </span><span class="lineCov">          2 :             color: !isAvailable ? Colors.grey : color,</span></a>
<a name="29"><span class="lineNum">      29 </span>            :             borderRadius: const BorderRadius.all(Radius.circular(10))),</a>
<a name="30"><span class="lineNum">      30 </span><span class="lineCov">          1 :         child: Column(</span></a>
<a name="31"><span class="lineNum">      31 </span>            :           crossAxisAlignment: CrossAxisAlignment.center,</a>
<a name="32"><span class="lineNum">      32 </span>            :           mainAxisAlignment: MainAxisAlignment.spaceEvenly,</a>
<a name="33"><span class="lineNum">      33 </span><span class="lineCov">          1 :           children: [</span></a>
<a name="34"><span class="lineNum">      34 </span><span class="lineCov">          1 :             Icon(</span></a>
<a name="35"><span class="lineNum">      35 </span><span class="lineCov">          1 :               icon,</span></a>
<a name="36"><span class="lineNum">      36 </span>            :               color: Colors.white,</a>
<a name="37"><span class="lineNum">      37 </span>            :             ),</a>
<a name="38"><span class="lineNum">      38 </span><span class="lineCov">          1 :             Text(</span></a>
<a name="39"><span class="lineNum">      39 </span><span class="lineCov">          1 :               label,</span></a>
<a name="40"><span class="lineNum">      40 </span><span class="lineCov">          1 :               style: GoogleFonts.roboto(</span></a>
<a name="41"><span class="lineNum">      41 </span><span class="lineCov">          3 :                 fontSize: MediaQuery.of(context).textScaleFactor * 12,</span></a>
<a name="42"><span class="lineNum">      42 </span>            :                 fontWeight: FontWeight.w600,</a>
<a name="43"><span class="lineNum">      43 </span>            :               ),</a>
<a name="44"><span class="lineNum">      44 </span>            :             ),</a>
<a name="45"><span class="lineNum">      45 </span>            :           ],</a>
<a name="46"><span class="lineNum">      46 </span>            :         ),</a>
<a name="47"><span class="lineNum">      47 </span>            :       ),</a>
<a name="48"><span class="lineNum">      48 </span>            :     );</a>
<a name="49"><span class="lineNum">      49 </span>            :   }</a>
<a name="50"><span class="lineNum">      50 </span>            : }</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.15.alpha0w</a></td></tr>
  </table>
  <br>

</body>
</html>
